Value Units
Create Milestone
Creates a milestone for a value unit.
POST
/
v1
/
public
/
value-units
/
{valueUnitId}
/
milestones
Create Milestone
curl --request POST \
--url https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "MVP Complete",
"date": "2026-05-15"
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones"
payload = {
"name": "MVP Complete",
"date": "2026-05-15"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'MVP Complete', date: '2026-05-15'})
};
fetch('https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'MVP Complete',
'date' => '2026-05-15'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones"
payload := strings.NewReader("{\n \"name\": \"MVP Complete\",\n \"date\": \"2026-05-15\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"MVP Complete\",\n \"date\": \"2026-05-15\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"MVP Complete\",\n \"date\": \"2026-05-15\"\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Body
application/json
Create milestone payload.
Response
201 - application/json
Request processed successfully
The response is of type object.
⌘I
Create Milestone
curl --request POST \
--url https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "MVP Complete",
"date": "2026-05-15"
}
'import requests
url = "https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones"
payload = {
"name": "MVP Complete",
"date": "2026-05-15"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'MVP Complete', date: '2026-05-15'})
};
fetch('https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'MVP Complete',
'date' => '2026-05-15'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones"
payload := strings.NewReader("{\n \"name\": \"MVP Complete\",\n \"date\": \"2026-05-15\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"MVP Complete\",\n \"date\": \"2026-05-15\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/value-units/{valueUnitId}/milestones")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"MVP Complete\",\n \"date\": \"2026-05-15\"\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"requestId": "170a6584-6d89-4c95-a2ff-22378cb6355d",
"timestamp": "2026-04-22T12:00:00Z"
}
}
